%{?nodejs_find_provides_and_requires}

%global packagename escape-html
# this package has no tests
%global enable_tests 0

Name:		nodejs-escape-html
Version:	1.0.3
Release:	1%{?dist}
Summary:	Escape string for use in HTML

License:	MIT
URL:		https://github.com/component/escape-html
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Escape string for use in HTML

%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test /usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct  8 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
